## org.openorb.PI
Interface FeatureInitInfo

All Known Implementing Classes:
  OpenORBInitInfo

public interface FeatureInitInfo

Init info interface passed to feature initializers.

Version:
  $Revision: 1.5 $ $Date: 2002/06/28 08:59:04 $
Author:
  Chris Wood

Method Summary
`java.lang.Object` `getFeature(java.lang.String feature)` Get an OpenORB feature.
`ORBLoader` `getLoader()` Return a reference to the orb loader.
`ORB` `orb()` Return the orb being configured.
`void` `setFeature(java.lang.String feature, java.lang.Object reference)` Set an openorb feature.

Method Detail

### orb

    public ORB orb()

  Return the orb being configured. The orb returned will not have been fully initialized, it should not be used for activating objects or making requests.

### getLoader

    public ORBLoader getLoader()

  Return a reference to the orb loader. This is a shortcut to orb().getLoader().

### setFeature

    public void setFeature(java.lang.String feature,
                           java.lang.Object reference)

  Set an openorb feature.

### getFeature

    public java.lang.Object getFeature(java.lang.String feature)

  Get an OpenORB feature.